Ticket #1646 (closed defect: fixed)

Opened 9 years ago

Last modified 9 years ago

食べログ小窓が、Firefoxだと下が見切れてしまう

Reported by: kiwa Assigned to: ebihara
Priority: minor Milestone: OpenPNE2.10.2
Component: pne-cmd Version: 2.8.x & 2.10.x & 2.11.x
Keywords: OpenPNE2.8.7 OpenPNE2.11.2 Cc:

Description (Last modified by yamaji)

■現象

 Firefoxで、日記等に食べログ小窓を使用すると、小窓の<iframe>の高さが足りず、下が見切れてしまいます。
 <iframe>のheightを現在の 260 ⇒ 280 くらいに広げた方がよいかと思いますが、いかがでしょうか

■原因

ブラウザによってiframeタグが画面上を占める大きさが違うことに起因してます。
///
例えばオブジェクトのスクロールバーをiframe内に表示する場合のiframeの大きさ指定
///
内側の大きさなのか、外側の大きさなのか、で1文字分程度のずれが生じるかもしれません

■修正内容

iframeを試用している箇所はiframeの高さ指定をリテラルとして扱っていたのでリテラルとしてはそのままとして、高さの値を260から280へ変更しました。

■関連情報

Attachments

firefox2.gif (81.0 kB) - added by kunitada on 12/18/07 14:14:10.
ticket1646.gif (17.9 kB) - added by ogawa on 12/18/07 14:19:13.

Change History

12/18/07 14:11:35 changed by yamaji

  • owner changed from nobody to yamaji.
  • status changed from new to assigned.

12/18/07 14:14:10 changed by kunitada

  • attachment firefox2.gif added.

12/18/07 14:19:13 changed by ogawa

  • attachment ticket1646.gif added.

12/18/07 14:20:59 changed by ogawa

※ちなみにIE6でみた場合も、枠の下線が見切れています。

とのこと

12/18/07 14:55:25 changed by yamaji

  • status changed from assigned to closed.
  • resolution set to fixed.

iframeのheightを280に変更しました。

12/18/07 14:56:27 changed by yamaji

12/18/07 15:26:01 changed by yamaji

  • status changed from closed to reopened.
  • resolution deleted.

12/18/07 15:46:24 changed by yamaji

  • keywords set to 確認中.

r4730
修正内容は単なるリテラル変更です

12/18/07 16:45:58 changed by yamaji

  • description changed.

12/19/07 20:24:32 changed by ogawa

  • keywords changed from 確認中 to OpenPNE2.8.7.
  • owner changed from yamaji to ebihara.
  • version changed from 2.10.x & 2.11.x to 2.8.x & 2.10.x & 2.11.x.
  • status changed from reopened to new.

OKです。stableブランチとtrunkにコミットお願いします。

12/19/07 21:42:28 changed by ebihara

以下のリビジョンでマージしたのでご確認下さい。

12/19/07 21:43:00 changed by ebihara

  • keywords changed from OpenPNE2.8.7 to OpenPNE2.8.7 確認中.
  • status changed from new to assigned.

12/19/07 21:46:15 changed by ogawa

  • keywords changed from OpenPNE2.8.7 確認中 to OpenPNE2.8.7 テスト待ち.

12/19/07 22:52:22 changed by kiwa

  • keywords changed from OpenPNE2.8.7 テスト待ち to OpenPNE2.8.7.

下のborderが表示されていませんが、仕様でしょうか?

12/19/07 23:04:59 changed by kiwa

  • firefox:下のボーダーが表示されない
  • IE6:下、右のボーダーがスクロールしないと表示されない

12/19/07 23:21:25 changed by ebihara

これは、食べログ小窓の iframe 要素で表示させているコンテンツが、そのコンテンツの内容によって大きさが変化してしまうのが原因です。

  • 表示しているコンテンツの大きさ(住所がやたら長いなど)
  • 小窓の表示箇所の最大幅

によって、小窓の下部分が見切れるかどうかが決まります。

また、http://api.tabelog.com/stylesheets/tabelog_pne.css において、

#tabelog_pne_outline {
	width:417px;
	border:solid 1px #ccc;
	margin: 0px auto;
	text-align:left;
	height:280px;
}

と定義されていることから、高さが可変になるのは食べログ小窓で表示されるコンテンツ側の想定している挙動では恐らくありえません。

つまり、表示されるコンテンツの大きさが予測できない以上、これを改善するには、iframe要素の高さをある程度充分な値に指定しておくしかないと考えます。

12/19/07 23:29:00 changed by ebihara

ということで、小窓側としては 280px の高さを取っておく、という仕様でいいと思います。

12/20/07 00:36:17 changed by ebihara

  • keywords changed from OpenPNE2.8.7 to OpenPNE2.8.7 確認中.

12/20/07 02:16:12 changed by ogawa

  • keywords changed from OpenPNE2.8.7 確認中 to OpenPNE2.8.7 テスト待ち.

12/20/07 13:07:34 changed by kiwa

  • keywords changed from OpenPNE2.8.7 テスト待ち to OpenPNE2.8.7.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。OKです

12/25/07 14:49:39 changed by kiwa

  • keywords changed from OpenPNE2.8.7 to OpenPNE2.8.7 OpenPNE2.11.2.